Subject: bug#6705: w32 cmdproxy.c pass args to cygwin; erroneous charset conversion (problem description, solution/suggestion)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Jul 2010 17:16:58 +0300

> From: Juanma Barranquero <[email-masked]>
> Date: Fri, 23 Jul 2010 12:45:08 +0200
> Cc: [email-masked], [email-masked]
> 
> On Fri, Jul 23, 2010 at 12:26, Eli Zaretskii <[email-masked]> wrote:
> 
> > Neither.  I'm talking about using the W APIs on versions of Windows
> > that support them, and A APIs elsewhere, including on Windows 9X.
> 
> OK, I see. Lots and lots of wrappers and checks.
> 
> > That's why I said this is a non-trivial job.
> 
> Yes. But it can be done incrementally, I think.

I'm not sure, some of them need to be done as a group, or else
features will become broken.  If someone can suggest a plan for
incrementally adding this stuff, we could discuss it.